SUMMARY = "Greenhouse control"
SECTION = "Applications"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/MIT;md5=0835ade698e0bcf8506ecda2f7b4f302"

FILESEXTRAPATHS_prepend := "${THISDIR}/files:"

PR = "r0"
SRCREV = "${AUTOREV}"
SRC_URI = " \
    git://git.blackfinn.de/python/greenhouse.git;protocol=https;branch=master \
    file://run.sh \
"

S = "${WORKDIR}/git"

do_install_append () {
        install -d ${D}/usr/
        install -d ${D}/usr/bin/
        install -m 0755 ${WORKDIR}/run.sh ${D}/usr/bin/
}

RDEPENDS_${PN} += " \
    python3 \
    python3-gunicorn \
    python3-flask \
    python3-rpi.gpio \
    python3-w1thermsensor \
"

FILES_${PN} = " \
    /usr/bin/run.sh \
"

inherit setuptools3
