LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=6bc538ed5bd9a7fc9398086aedcd7e46"

FILESEXTRAPATHS_prepend := "${THISDIR}/files:"

KERNEL_MODULE_AUTOLOAD += " rtl8192cu"

SRC_URI += " \
	file://rtl8192cu.cfg \
	file://enable_onboard_leds.cfg \
	file://enable_hostap_wext.cfg \
	file://0002-onboard-led-init-disable.patch \
"

KERNEL_CONFIG_FRAGMENTS_append = " \
	${WORKDIR}/rtl8192cu.cfg \
	${WORKDIR}/enable_onboard_leds.cfg \
	${WORKDIR}/enable_hostap_wext.cfg \
	${WORKDIR}/enable_cgroups.cfg \
"
